[Previous] [Next] [Contents]

## `SG::Perm2Interval` -- computes all codes of permutations below a given one

#### Call(s)

`SG::Perm2Interval(perm)`

#### Parameters

`perm` | - | any list denoting a permutation

#### Introduction

The `SG::Perm2Interval` function computes the list of the Lehmer codes of all permutations that are smaller than `perm`, according to the Bruhat order.

#### Example 1

    >> muEC::SG::Perm2Interval( [3,1,2] );

                   [[2, 0, 0], [1, 0, 0], [0, 1, 0], [0, 0, 0]]

    >> map( muEC::SG::Perm2Interval([3,2,1]), muEC::SG::Code2Perm );

          [[3, 2, 1], [3, 1, 2], [2, 3, 1], [2, 1, 3], [1, 3, 2],

             [1, 2, 3]]

#### Related Functions

`CompPerm`, `Perm2Betti`, `Perm2Demazure`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package